Delete customer

Delete a customer from the platform.

Request

Endpoint: /api/customers/{customer_id}
Example: /api/customers/915
Method: DELETE
Headers: Accept: application/vnd.cloudlx.v1+json
Authorization: Bearer <access_token>

Response

Example (success):

                                
    [Empty response]
                                
                            

Example (failure):

                                
    {
        "error": "Cannot delete customer, it has items assigned to it",
        "items": [
            {
                "type": "service",
                "customer_id": 26,
                "item_id": 516
            },
            ...
        ]
    }
                                
                            
type Description Denotes the type of the item
Type String
Example service
customer_id Description The ID of the customer the item is attributed to
Type Integer
Example 26
item_id Description The ID for the item type
Type Integer
Example 516

Back to top